.map-canvas {
  visibility: hidden;
  height: 0;
  overflow: hidden;

  // @include media-breakpoint-down(sm) {
  //   height: auto !important;
  // }
}

// .map {
//   transition: 0.4s;
//   height: 100%;
//   position: relative;
//   overflow: hidden;
// }

#map {
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  height: 700px;

  @include media-breakpoint-down(sm) {
    height: 400px;
  }
}

.map-side {
  @include media-breakpoint-down(sm) {
    height: auto;
  }
}

.map-col {
    @include media-breakpoint-down(sm) {
      height: 400px;
    }
}

.map {
  height: 700px;

  @include media-breakpoint-down(sm) {
    display: none;
  }
}

.items-list {
  height: 700px;
}

.hide {
  display: none;
}

#map-simple {
  min-height: 160px;
}

.map-submit {
  height: 400px;
}

.gmnoprint {
  img {
    max-width: initial !important;
  }
}

.map-canvas {

    .toggle-navigation {
      box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.05);
      background-color: #fff;
      bottom: 0;
      height: 27px;
      margin: auto;
      position: absolute;
      top: 0;
      z-index: 1;
    }

  .results {
    &.list {
      li {
        &:last-child {
          margin-bottom: 0;
        }
        .item {
          display: table;
          width: 100%;
          overflow: hidden;

          a {
            color: $body-color;
          }

          .inner {
            height: 150px;
          }

          .wrapper {
            display: table-cell;
            padding: 12px 0px;
            vertical-align: middle;
            text-align: left;
            line-height: 1.3;

            // @include media-breakpoint-down(sm) {
            //   display: block;
            // }

            .info {
              line-height: 1.2;
            }
          }
        }
      }
    }
  }
}

// Map Cluster
.cluster,
.marker-cluster {
  >div {
    color: #fff !important;
    text-align: center !important;
    z-index: 3;
    line-height: 43px !important;
    font-size: 13px !important;
    font-weight: 400 !important;
    &:hover {
      &:before {
        transform: scale(1.2);
      }
    }
    &:before {
      transition: all 0.4s cubic-bezier(0.42, 0, 0.06, 0.99) 0s;
      transform: scale(1);
      background: rgba($brand-danger, 0.8) ;
      border-radius: 100%;
      content: "";
      height: 25px;
      position: absolute;
      top: 0;
      bottom: 0;
      right: 0;
      left: 0;
      margin: auto;
      width: 25px;
      z-index: -1;
    }
  }
}

.marker-loaded {
  .map-marker {
    visibility: visible;
  }
}

// Map Marker
.map-marker {
  visibility: hidden;
  transition: 0.2s ease-in-out all;
  height: 32px;
  width: 36px;
  position: relative;
  text-align: center;
  z-index: 1;
  bottom: 12px;

  &:hover {
    cursor: pointer;
    bottom: 15px;
  }

  .icon {
    transition: 0.3s ease-in-out all;
    height: 50px;
    left: 4px;
    width: 34px;
    position: relative;
    top: 5px;

    img {
      opacity: 0.9;
      display: block;
      position: absolute;
      top: -2px;
      right: 0;
      bottom: 0;
      left: 0;
      margin: auto;
      width: 32px;
    }
  }
}

.leaflet-marker-icon {
  background: none;
  border: none;
}

.leaflet-popup {
  .leaflet-popup-content-wrapper {
    box-shadow: none;
    background: none;
    padding: 0;
    .leaflet-popup-content {
      margin: 0;
      line-height: inherit;
    }
  }
}

// Acitve marker
// .marker-active {
  .map-marker.marker-active {
        bottom: 15px;
    // background: rgba(255,255,255, 0.6);
    // &:before {
    //   border-color: #000 transparent transparent transparent;
    // }
  }
// }

// Infobox
.infobox {
  display: block;
  width: 240px;
  position: relative;
  background: #fff;
  color: $gray-dark;
  padding: 10px;
  border-radius: 4px;

  .title {
    font-size: 14px;
    margin-bottom: 5px;
  }
  >img {
    z-index: 1 !important;
  }
  .inner {

    .image {
      width: 100%;
      position: relative;
    }
  }
}

// Fade In Marker
.fade-in-marker {
  opacity: 1;
  -webkit-animation: fadeInMarker .3s;
  animation: fadeInMarker .3s;
  >img {
    z-index: 1;
  }
}

@keyframes fadeInMarker {
  from {
    opacity: 0;
    margin-bottom: -10px;
  }
  to {
    opacity: 1;
    margin-bottom: 0px;
  }
}

@-webkit-keyframes fadeInMarker {
  from {
    opacity: 0;
    margin-bottom: -10px;
  }
  to {
    opacity: 1;
    margin-bottom: 0px;
  }
}

// Fade Out Marker
.fade-out-marker {
  opacity: 0;
  -webkit-animation: fadeOutMarker .3s;
  animation: fadeOutMarker .3s;
  >img {
    z-index: 1;
  }
}

@keyframes fadeOutMarker {
  from {
    opacity: 1;
    margin-bottom: 0px;
  }
  to {
    opacity: 0;
    margin-bottom: -10px;
  }
}

@-webkit-keyframes fadeOutMarker {
  from {
    opacity: 1;
    margin-bottom: 0px;
  }
  to {
    opacity: 0;
    margin-bottom: -10px;
  }
}

// Items list on the map

.items-list::-webkit-scrollbar {
    width: 5px;
}

.items-list::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px #fff;
}

.items-list::-webkit-scrollbar-thumb {
  background-color: #f2f2f2;
  outline: 1px solid #fff;
}

.items-list {
  background-color: #fff;
  overflow: auto;

  @include media-breakpoint-down(sm) {
    max-height: 300px;
    height: auto;
  }

  .inner {
    padding: 15px;
  }

  header {
    padding: 0;
    margin-bottom: 10px;
    h3 {
      margin-bottom: 15px;
      margin-top: 3px;
      text-transform: uppercase;
      color: $brand-info !important;
    }
  }
  .inner {
    height: 97%;
    width: 100%;
    position: relative;

    @include media-breakpoint-down(sm) {
      max-height: 300px;
      height: auto;
    }

    .results {
      height: 100%;
      list-style: none;
      margin-bottom: 0;
      padding-left: 0;

      li {

        // Single item
        .item {
          border-radius: 0px;
          border-top: 1px solid $bg-gray;
          transition: 0.4s;
          display: table;
          width: 100%;
          color: $body-color;

          h5 {
            color: $gray-dark;
            margin-bottom: 7px;
          }

          &.item-hide {
            opacity: 0.5;
          }
          &.item-show {
            opacity: 1;
          }
        }
      }
    }
  }
}


// Results collapsed
.map-side, .map-col {
  @extend .ease;

  @include media-breakpoint-down(sm) {
    flex: 0 0 100%;
    max-width: 100%;
  }
}

.results-collapsed {
  .map-side {
    flex: 0 0 0;
    max-width: 0;
  }
  .map-col {
      flex: 0 0 100%;
      max-width: 100%;
  }
}


// Toggle navigation menu
.toggle-navigation { display: inline-block; height: 12px; margin: 0px 0px 5px 10px; position: relative;
  &:hover { cursor: pointer;
    .icon {
      .line {
        // background-color: #000;
        &:first-child { transform: rotate(45deg); position: relative; top: 5px; }
        &:nth-child(2) { opacity: 0; }
        &:last-child { transform: rotate(-45deg);; position: relative; top: -5px; }
      }
    }
  }
  .icon { padding: 7px;
    .line {
      transition: all 0.2s ease-in-out;
      background-color: $gray-dark;
      direction: block; height: 2px; margin-bottom: 3px; width: 15px; }
  }
}

// reset button

.location-form {
  position: relative;
}

.location-form {
  width: 100%;
  max-width: 460px;
}

.deletable {

  & + .reset  {
    color: $body-color;
    position: absolute;
    top: 6px;
    right: 10px;
    font-size: 20px;
    color: #818181;
    padding: 3px;
    cursor: pointer;
    display: none;
  }
}

.products-where {
  padding-top: 50px;
  white-space: nowrap;

  li {
    max-width: 150px;
    margin: 0 30px -40px;

    @include media-breakpoint-down(sm) {
      max-width: 110px;
      margin: 0 10px -40px;
    }
  }
}


// Loader
.geolocation {

  .fa-spinner {
    display: none;
  }

  &.loading {

    .fa-map-marker {
      display: none;
    }
    .fa-spinner {
      display: inline-block;
    }
  }
}
